﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media.Imaging;

namespace SfDataGrid_Sample
{
    public class OrderInfo : NotificationObject
    {
        static int countrycount = 0;

        int orderID;
        string customerId;
        string country;
        string customerName;
        string shippingCity;
        public int OrderID
        {
            get { return orderID; }
            set { orderID = value; RaisePropertyChanged("OrderID"); }
        }
        public string CustomerID
        {
            get { return customerId; }
            set { customerId = value; RaisePropertyChanged("CustomerID"); }
        }
        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; RaisePropertyChanged("CustomerName"); }
        }
        public string Country
        {
            get { return country; }
            set { country = value; RaisePropertyChanged("Country"); }
        }
        public string ShipCity
        {
            get { return shippingCity; }
            set { shippingCity = value; RaisePropertyChanged("ShipCity"); }
        }

        private bool isClosed;

        public bool IsClosed
        {
            get
            {
                return isClosed;
            }
            set
            {
                isClosed = value;
                RaisePropertyChanged("IsClosed");
            }
        }

        /// <summary>
        /// Gets or sets the ImageLink.
        /// </summary>
        private BitmapImage imageColumn;

        public BitmapImage ImageColumn
        {
            get
            {
                return imageColumn;
            }
            set
            {
                imageColumn = value;
                RaisePropertyChanged("ImageColumn");
            }
        }

        public OrderInfo()
        {

        }

        public OrderInfo(int orderId, string customerName, string country, string customerId, string shipCity)
        {
            this.OrderID = orderId;
            this.CustomerName = customerName;
            this.Country = country;
            this.CustomerID = customerId;
            this.ShipCity = shipCity;
            this.IsClosed = orderId % 2 == 0 ? true : false;

            if (countrycount % 3 == 0 || countrycount % 9 == 0)
                this.ImageColumn = new BitmapImage(new Uri(string.Format(@"..\..\Images\{0}", "US.jpg"), UriKind.Relative));
            else if (countrycount % 5 == 0 || countrycount % 17 == 0)
                this.ImageColumn = new BitmapImage(new Uri(string.Format(@"..\..\Images\{0}", "Japan.jpg"), UriKind.Relative));
            else
                this.ImageColumn = new BitmapImage(new Uri(string.Format(@"..\..\Images\{0}", "UK.jpg"), UriKind.Relative));
            countrycount++;
        }
    }
}
